
QGIS Application - Bug report #1803

Double clicking legend in wms layer name does not show property dialog and make the whole 

system crash

2009-07-22 11:01 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11863

Description

I loaded a wms layer in qgis version 1.1 and in a self compiled from trunk and did a double clic in the wms layer name in legend, the

properties dialog wasn't shown and qgis started to consume a lot of memory until it makes the whole system unstable and crash. I also

tested with a debug version and it works correctly.

History

#1 - 2009-07-22 12:55 PM - Giovanni Manghi

Hi,

can you please a post a URL that can be used to test and try reproduce the error?

#2 - 2009-07-22 01:09 PM - Redmine Admin

Hi,

I've been using this two wms servers

    -  http://www.infraestructuragis.com/geoserver/wms

    -  http://www2.dmsolutions.ca/cgi-bin/mswms_gmap

Also I traced the problem to a connect statement [[QgsLegend]]::legendLayerShowProperties().

this is the line (around line 733)

connect( rlp, SIGNAL ), this, SLOT ) );

#3 - 2009-07-22 01:26 PM - Redmine Admin

just putting any statement after the connect statement fixes the problem, I put the following line:

QString fix="quick fix";

and now is working.
#4 - 2009-07-24 05:21 AM - Giovanni Manghi

Can this be considered a patch?

#5 - 2009-07-24 09:47 AM - Redmine Admin

No, I will do some more testing to try to find why the raster properties dialog for wms is very slow and why the connect statement hangs with wms but not

with raster. did you reproduce the error?

#6 - 2009-07-24 09:49 AM - Giovanni Manghi

Replying to [comment:5 gcontreras]:

did you reproduce the error?

yes, I did make to reproduce the error on qgis 1.2 on linux.

#7 - 2009-07-29 06:11 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

I think commit:247dd62e (SVN r11202) fixes this issue. Please reopen this bug if it isn't.
